<?php
require_once('../wu_init.php');
require('../wu-functions/mail/wu_mail.php');

if (empty($_GET['q'])) { exit('Ошибка'); }
$q = mysqli_real_escape_string($connect_db, $_GET['q']);
list($user, $exp, $md) = explode('_', $q);
$user = intval($user);

//Проверка данных
$user_a = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT uid,log,regdate,mail FROM ".DB_PREFIX."_users WHERE `uid` = '$user' LIMIT 1"));
if (empty($user_a['uid'])) { header ("Location: /lostpassword?result=Ошибка&status=danger"); exit; }
$hash = $user_a['uid'].'_'.$exp.'_'.md5(md5($user_a['uid'].'_'.$user_a['log'].'_'.$user_a['regdate'].'_'.$exp)).'wu';
if ($q !== $hash) { header ("Location: /lostpassword?result=Ошибка&status=danger"); exit; }
if ($exp < $dt) { header ("Location: /lostpassword?result=Время действия ссылки истекло&status=danger"); exit; }

//Генерация пароля
$chars="qazxswedcvfrtgbnhyujmkiolp1234567890QAZXSWEDCVFRTGBNHYUJMKIOLP";
$max=10; 
$size=StrLen($chars)-1; 
$pass=null;            
while($max--) {
$pass.=$chars[rand(0,$size)]; 
}
$hpass = md5(md5(trim($user_a['regdate'].'_'.$pass)));

//Сохранение пароля
mysqli_query($connect_db, "UPDATE ".DB_PREFIX."_users SET pas = '$hpass' WHERE uid = '$user' LIMIT 1");

wu_log_auth(2,"$user_a[log] восстановил пароль");

//Отправка письма
$msg = 'Ваш новый пароль: <b>'.$pass.'</b><br />Пожалуйста, не сообщайте его третьим лицам.';
esend($user_a['mail'], $user_a['log'], 'Ваш новый пароль', $msg, 'clear');
header ("Location: /lostpassword?result=Новый пароль отправлен на E-mail&status=success"); exit;
?>